This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 838464 - Please include the SymbolNeu fonts
Please include the SymbolNeu fonts
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 04:00 EDT by Fabian Greffrath
Modified: 2012-08-01 02:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-01 02:14:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fabian Greffrath 2012-07-09 04:00:45 EDT
Hello,

I know this is all WIP, but I have seen that you already commited new SFD files based on croscore-fonts into the liberation-fonts GIT repository. However, the SymbolNeu font, which is present in the upstream croscorefonts-1.21.0.tar.gz is currently missing. Is this an oversight or is this intentionally left out?

BTW, it isn't made apparent anywhere *which version* of the corscore-fonts the new liberation-fonts are forked off!

 - Fabian
Comment 1 Pravin Satpute 2012-07-09 07:25:40 EDT
It is based on 1.21.0, i will update that information thanks for checking.

SymbolNeu does not come under the existing coverage of Liberation fonts, so i did not included in git repo. But looks worth to include it.

I will be more interested if we can get updated version of LiberationSansNarrow
Comment 2 Fabian Greffrath 2012-07-09 11:18:47 EDT
(In reply to comment #1)
> I will be more interested if we can get updated version of
> LiberationSansNarrow

Maybe Oracle will agree to relicense their contribution under OFL?
Comment 3 Pravin Satpute 2012-07-10 03:29:23 EDT
Yeah, trying to contact them but no reply yet. I think it will take some more time.
Comment 4 Fabian Greffrath 2012-07-30 07:08:15 EDT
(In reply to comment #1)
> SymbolNeu does not come under the existing coverage of Liberation fonts, so
> i did not included in git repo. But looks worth to include it.

Is there a reason why these were not included in the 2.0.0 tarball, released more than a week later?

BTW, the GIT repo at <http://git.fedorahosted.org/git/?p=liberation-fonts.git> seem to be out of sync with the release tarball, or at least the releases aren't tagged properly.
Comment 5 Parag Nemade 2012-07-31 02:18:45 EDT
I don't think we decided to kill the google-croscore-fonts package in Fedora. Its just that liberation font can get updates from croscore font. so we updated it. But that doesn't mean we need to add SymbolNeu font in liberation fonts package. Users can install it individually.
Comment 6 Pravin Satpute 2012-08-01 02:14:34 EDT
(In reply to comment #4)
> (In reply to comment #1)
> > SymbolNeu does not come under the existing coverage of Liberation fonts, so
> > i did not included in git repo. But looks worth to include it.
> 
> Is there a reason why these were not included in the 2.0.0 tarball, released
> more than a week later?

Parag comment is fair enough. Lets user install it from subpackage of croscore.


> 
> BTW, the GIT repo at
> <http://git.fedorahosted.org/git/?p=liberation-fonts.git> seem to be out of
> sync with the release tarball, or at least the releases aren't tagged
> properly.

Yeah, i have not tagged 2.0.0 release just followed master. From next release onwards will do it. Planning next release by end of Aug.

closing for now, please reopen if you have any more suggestions.

Note You need to log in before you can comment on or make changes to this bug.